Skip to main content
GET
/
reimbursement_line_items
/
{reimbursement_line_item}
Retrieve a reimbursement line item
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/reimbursement_line_items/{reimbursement_line_item} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<id>",
  "object": "reimbursement_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "line_item_type": "reimbursement",
    "is_managed": false,
    "amount": 35,
    "custom_amount": null,
    "managed_amount": 35,
    "accrued_vacation_pay": 0,
    "reimbursement_type": {
      "id": "<id>",
      "object": "reimbursement_type",
      "data": {
        "type": "non_taxable_reimbursement",
        "label": "Non-Taxable Reimbursement"
      },
      "links": {
        "self": "/reimbursement_types/non_taxable_reimbursement"
      }
    },
    "recurrence": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "business_preset": null,
    "source_adjustment": null,
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "component_settings": {
      "attributes_locked": false
    },
    "earned_on": null,
    "managed_earned_on": null,
    "custom_earned_on": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/reimbursement_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reimbursement_line_item
string
required

Query Parameters

expand
enum<string>[]
Available options:
business_preset,
custom_expense_accounting_code,
custom_liability_accounting_code,
custom_tag_assignment,
expense_accounting_code,
liability_accounting_code,
managed_expense_accounting_code,
managed_liability_accounting_code,
managed_tag_assignment,
pay_stub,
recurrence,
source_adjustment,
tag_assignment,
tag_assignment_amounts

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("reimbursement_line_item").

data
Default · object